Subject: bug#33280: closed (Re: bug#33280: Guix weather does not error nicely with 502 errors from hydra)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Nov 2018 21:02:02 +0000

Your bug report

#33280: Guix weather does not error nicely with 502 errors from hydra

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33280: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33280
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33280: Guix weather does not error nicely with 502 errors from hydra
From: [email-masked] (Ludovic Courtès)
To: swedebugia <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Wed, 07 Nov 2018 22:01:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

swedebugia <[email-masked]> skribis:

> 1 thing that is wrong in the message above is the number of requests
> per second.
>
>   3,081.9 requests per second
>
> This cannot be right.

Yeah I think that you get a throughput tends to +∞ when everything is
already available in ~/.cache/guix/substitute, and ‘guix weather’
doesn’t realize that.

But anyway, that’s a different bug, so I’m closing this one!  :-)

Ludo’.

Subject: Guix weather does not error nicely with 502 errors from hydra
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Mon, 5 Nov 2018 21:23:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I did not change the default substitute-urls in 0.15

This is probably low priority.

sdb@komputilo ~$ guix weather
computing 7,850 package derivations for x86_64-linux...
looking for 8,167 store items on https://mirror.hydra.gnu.org...
guix weather: warning: while fetching 
'https://mirror.hydra.gnu.org/nix-cache-info': 502 ("Bad Gateway")
guix weather: warning: ignoring substitute server at 
'"https://mirror.hydra.gnu.org"'
https://mirror.hydra.gnu.org
   .0% substitutes available (0 out of 8,167)
   unknown substitute sizes
   0.0 MiB on disk (uncompressed)
   0.000 seconds per request (2.7 seconds in total)
   3,081.9 requests per second
   (continuous integration information unavailable)

We should omit everything after the first warning I think.

-- 
Cheers
Swedebugia